#define BT_RST 0 // Really don't need
#define BT_RX 1
#define BT_TX 2
#define BT_RTS 3 // Really don't need
#define BT_CTS 4 // Really don't need

#define BT_MODE 0
#define BT_BAUD 9600

#include "simpletools.h"
#include "fdserial.h"
#include <stdbool.h>

bool b_setting_changed;

void ModifySettings(char chNewSettings[]);

int main()
{
	uint32_t index;
 
	fdserial *fds;
 
	char c;
	char chNewContent[10];
	char chOldContent[10];	

	fds = fdserial_open(BT_TX, BT_RX, 0, BT_BAUD);

	do
	{
		b_setting_changed = false;

		// proceed the level with a '<' for STX
		// STX = start of text
		// STX can be anything that will not be included in your data 
		// STX must be the same on the transmitting end
		if(fdserial_rxTime(fds, 500) == '<')
		{
			index = 0;
			memset(chNewContent, 0, strlen(chNewContent));

			while(b_setting_changed == false)
			{
				c = fdserial_rxTime(fds, 500);

				// follow the level with a '>' for ETX
				// ETX = end of text
				// ETX can be anything that will not be included in your data 
				// ETX must be the same on the transmitting end

				if(c != '>')
				{
					chNewContent[index] = c;
					index++;
				}
				else
				{
            if(strcmp(chNewContent, chOldContent) != 0)
            {
              memset(chOldContent, 0, strlen(chOldContent));
              strcpy(chOldContent, chNewContent);
              
              ModifySettings(chOldContent);
            }
				}
			}
		}
	}
  
	while(1);
}

void ModifySettings(char chNewSettings[])
{
	print(chNewSettings);
	b_setting_changed = true;
}  